Debian Bug report logs - #700668
libp11-kit-dev: please link to /usr/share/gtk-doc/html/p11-kit from /usr/share/doc/libp11-kit-dev

version graph

Package: libp11-kit-dev; Maintainer for libp11-kit-dev is Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>; Source for libp11-kit-dev is src:p11-kit.

Reported by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

Date: Fri, 15 Feb 2013 21:39:01 UTC

Severity: wishlist

Found in version 0.14-2

Fixed in version p11-kit/0.15.2-1

Done: Andreas Metzler <ametzler@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dkg@fifthhorseman.net, Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>:
Bug#700668; Package libp11-kit-dev. (Fri, 15 Feb 2013 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
New Bug report received and forwarded. Copy sent to dkg@fifthhorseman.net, Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>. (Fri, 15 Feb 2013 21:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libp11-kit-dev: please link to /usr/share/gtk-doc/html/p11-kit from /usr/share/doc/libp11-kit-dev
Date: Fri, 15 Feb 2013 16:36:10 -0500
Package: libp11-kit-dev
Version: 0.14-2
Severity: wishlist

libp11-kit-dev installs its html documentation in
/usr/share/gtk-doc/html/p11-kit.

A normal place to look for html documentation associated with package
foo is /usr/share/doc/foo/html.  If libp11-kit-dev could install a
symlink from /usr/share/doc/libp11-kit-dev/html to
/usr/share/gtk-doc/html/p11-kit, that would be great!

thanks for maintaining p11-kit in debian,

       --dkg

-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.7-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libp11-kit-dev depends on:
ii  libp11-kit0  0.14-2

libp11-kit-dev recommends no packages.

libp11-kit-dev suggests no packages.

-- no debconf information



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 16 Feb 2013 19:06:06 GMT) Full text and rfc822 format available.

Reply sent to Andreas Metzler <ametzler@debian.org>:
You have taken responsibility. (Sun, 17 Feb 2013 19:03:37 GMT) Full text and rfc822 format available.

Notification sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug acknowledged by developer. (Sun, 17 Feb 2013 19:03:37 GMT) Full text and rfc822 format available.

Message #12 received at 700668-close@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@debian.org>
To: 700668-close@bugs.debian.org
Subject: Bug#700668: fixed in p11-kit 0.15.2-1
Date: Sun, 17 Feb 2013 19:00:08 +0000
Source: p11-kit
Source-Version: 0.15.2-1

We believe that the bug you reported is fixed in the latest version of
p11-kit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Metzler <ametzler@debian.org> (supplier of updated p11-kit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 16 Feb 2013 16:38:07 +0100
Source: p11-kit
Binary: libp11-kit-dev libp11-kit0 p11-kit libp11-kit0-dbg
Architecture: source i386
Version: 0.15.2-1
Distribution: experimental
Urgency: low
Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
Changed-By: Andreas Metzler <ametzler@debian.org>
Description: 
 libp11-kit-dev - Library for loading and coordinating access to PKCS#11 modules -
 libp11-kit0 - Library for loading and coordinating access to PKCS#11 modules -
 libp11-kit0-dbg - load and coordinate access to PKCS#11 modules - debugging symbols
 p11-kit    - p11-glue utilities, proxy and trust modules
Closes: 641994 700655 700668 700689
Changes: 
 p11-kit (0.15.2-1) experimental; urgency=low
 .
   * New upstream *development* release (second part of version is an odd
     number). Closes: #700689
     + Add build-depends on pkg-config and libtasn1-6-dev.
     + Point --with-system-anchors to /etc/ssl/certs/ca-certificates.crt.
     + Update symbol file.
   * Ship system trust policy module in p11-kit package.
   * Enable (enable_locale.diff) and ship gettext translations.
     Closes: #641994
   * relicense_buffer-code.diff (from upstream GIT), relicense two files
     from GPLv2+ to to BSD.
   * Symlink html docs from gtk-doc to /usr/share/doc/libp11-kit-dev.
     Closes: #700668
   * Add libp11-kit0-dbg (Roughly based on patch by Daniel Kahn Gillmor).
     Closes: #700655
Checksums-Sha1: 
 2a5c512dfcbecaf78f6826e83cecbfeb95abe33f 1492 p11-kit_0.15.2-1.dsc
 a7f038223ecbdd59f5fafb142f6aa89d4061e460 804764 p11-kit_0.15.2.orig.tar.gz
 4434a4d05037e9a47d196d0c14e517031fce404d 9563 p11-kit_0.15.2-1.debian.tar.gz
 e16a31e267fc27d308ec1b788df3c2a1c79db1aa 101166 libp11-kit-dev_0.15.2-1_i386.deb
 36b934cc2e05b0c15c445291844f9dbe53a33f65 84098 libp11-kit0_0.15.2-1_i386.deb
 5ae89645c2efa17f9ebd795efb39139dd3463b60 146350 p11-kit_0.15.2-1_i386.deb
 d013bf4ef6977eec6c584a0a33433d2bd8ed9e36 314448 libp11-kit0-dbg_0.15.2-1_i386.deb
Checksums-Sha256: 
 6878f3c7b063b6eaed1dabdccc4e71d322fa0dea709c71d1a454d5941d328997 1492 p11-kit_0.15.2-1.dsc
 47e5d75bbd44df1f59e6a0f9378f538f607015667667bd5bdcd8ea3bacc70e51 804764 p11-kit_0.15.2.orig.tar.gz
 7f2a7cef1b597ea7eae805966800c2307a54aeb834aa20ba8cc86b81629fe56a 9563 p11-kit_0.15.2-1.debian.tar.gz
 ade4e19bc931ece22f9588633c515828061329b3f4e330ec2d852b8687b20637 101166 libp11-kit-dev_0.15.2-1_i386.deb
 07dc749143f272511953bad430c7e84a19dce10a900083663503e115770ce650 84098 libp11-kit0_0.15.2-1_i386.deb
 6cd2029cf12ec9fe61f78def8812608fe080df5101e295171c8bd952e655af0b 146350 p11-kit_0.15.2-1_i386.deb
 04c4448889285cbbbff0ae01e3bcc74aa14959b140d323855335bcb937e04865 314448 libp11-kit0-dbg_0.15.2-1_i386.deb
Files: 
 816289db13fec4e26516786b5b071357 1492 libs extra p11-kit_0.15.2-1.dsc
 248a81bdab1d692688b4d98e3c0013d3 804764 libs extra p11-kit_0.15.2.orig.tar.gz
 0b234680a69be678b4b04b0be04f74ef 9563 libs extra p11-kit_0.15.2-1.debian.tar.gz
 421acccf467108ce5e32a676bced292f 101166 libdevel optional libp11-kit-dev_0.15.2-1_i386.deb
 305ceb270e4fdd8a0dd74aabac5420bc 84098 libs standard libp11-kit0_0.15.2-1_i386.deb
 e18da3947708fbbcc24bac86eb0a25bf 146350 misc extra p11-kit_0.15.2-1_i386.deb
 9bd7cf9cf83d7b4ad734daa637e42730 314448 debug extra libp11-kit0-dbg_0.15.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAlEfqDsACgkQHTOcZYuNdmOcGgCeOjiIxnqcSL5aki1eS6GWktXJ
6BAAnRYE+nsCTCCBFEiDBlz+UsJxUi3F
=GBWl
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Mar 2013 07:27:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:26:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.